中危 Ansible路径遍历漏洞

CVE编号

CVE-2020-10691

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-05-01 06:15:00
漏洞描述
Ansible是美国Ansible公司的一款计算机系统配置管理器。该产品可用于发布、管理和编排计算机系统。Ansible Engine是其中的一个Ansible引擎。 Ansible Engine 2.9.7之前的2.9.x版本中存在路径遍历漏洞。该漏洞源于网络系统或产品未能正确地过滤资源或文件路径中的特殊元素。攻击者可利用该漏洞访问受限目录之外的位置。
解决建议
目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://www.ansible.com/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat ansible_engine * From
(including)
2.9.0
Up to
(excluding)
2.9.7
2
运行在以下环境
应用 redhat ansible_tower 3.0 -
3
运行在以下环境
系统 unionos_20 ansible * Up to
(excluding)
2.7.7+dfsg-1
4
运行在以下环境
系统 fedora_30 ansible * Up to
(excluding)
2.9.7-1.fc30
5
运行在以下环境
系统 alpine_3.14 ansible * Up to
(excluding)
2.9.7-r0
6
运行在以下环境
系统 fedora_31 ansible * Up to
(excluding)
2.9.7-1.fc31
7
运行在以下环境
系统 fedora_EPEL_8 ansible * Up to
(excluding)
2.9.7-1.el8
8
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.9.7-1.el7
9
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.9.7-1.el7
10
运行在以下环境
系统 fedora_EPEL_8 ansible * Up to
(excluding)
2.9.7-1.el8
11
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.9.7-1.el7
12
运行在以下环境
系统 alpine_3.11 ansible * Up to
(excluding)
2.9.7-r0
13
运行在以下环境
系统 alpine_3.12 ansible * Up to
(excluding)
2.9.7-r0
14
运行在以下环境
系统 alpine_edge ansible * Up to
(excluding)
2.9.7-r0
15
运行在以下环境
系统 alpine_3.13 ansible * Up to
(excluding)
2.9.7-r0
16
运行在以下环境
系统 fedora_32 ansible * Up to
(excluding)
2.9.7-1.fc32
17
运行在以下环境
系统 fedora_EPEL_8 ansible * Up to
(excluding)
2.9.7-1.el8
阿里云评分
4.1
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-22 对路径名的限制不恰当(路径遍历)
阿里云安全产品覆盖情况